Get a document of a listing
const url = 'https://acme.mykreezalid.com/front_api/v1/listings/4242/attachments/310';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/front_api/v1/listings/4242/attachments/310 \ --header 'Authorization: Bearer <token>'Returns one document attached to a listing. Note the key of the response body: attachement.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Listing ID.
Example
4242Document ID.
Example
310Responses
Section titled “Responses”The document.
object
A document attached to a listing, such as a user manual or a warranty.
object
Identifier of your marketplace. Returned by the list and get operations only.
Listing the document belongs to.
Member who added the document.
Member who last changed the document. Returned by the list and get operations only.
Display name of the document.
Public URL of the stored file.
File name of the stored file.
Example
{ "attachement": { "id": 310, "app_id": 1001, "listing_id": 4242, "createdBy": 8128, "name": "User manual", "type": "USER_MANUAL", "url": "https://cdn.example.com/assets/manual.pdf", "filename": "manual.pdf", "created": "2026-10-13T09:30:00+00:00", "modified": "2026-10-13T09:30:00+00:00" }}No valid access token was sent.
Error body returned by the Front API when it refuses a request.
object
HTTP status code, repeated in the body.
Human-readable reason.
Example
{ "code": 403, "status": "error", "message": "Token not found in request"}No such document for this listing.
Error body returned by the Front API when it refuses a request.
object
HTTP status code, repeated in the body.
Human-readable reason.
Example
{ "code": 403, "status": "error", "message": "Token not found in request"}